DocumentationAPI Reference

Conversions

List a conversion's source files (with their outputs)

Sign in to call the API here free (20 conversions a day), or enter an API key below.

GET
/conversions/{id}/files

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Query Parameters

cursor?string
limit?integer
status?string

Value in

  • "queued"
  • "running"
  • "completed"
  • "failed"

Response Body

application/json

curl -X GET "https://example.com/conversions/string/files"
{  "data": [    {      "bytes": 0,      "content": "string",      "credits": 0,      "error": {        "detail": "string",        "error": "string",        "hint": "string",        "instance": "string",        "message": "string",        "request_id": "string",        "retryable": true,        "status": 0,        "title": "string",        "type": "string"      },      "format": "markdown",      "id": "string",      "links": {},      "mime": "string",      "name": "string",      "object": "file",      "outputs": [        {}      ],      "pages": 0,      "role": "source",      "status": "queued",      "variant": "standard"    }  ],  "next_cursor": "string",  "object": "list"}